/**
 *	@file NPWStdAlloc.c
 *	@brief NPW alloc callback function based on stdlib 
 *	@author Yves Piguet.
 *	@copyright 2008-2013, Yves Piguet.
 */

/* License: new BSD license (see header file) */

#include "NPWStdAlloc.h"
#include <stdlib.h>

NPWErr NPWAllocStdlib(void **p, NPWInt size, void *userData)
{
	if (*p)
		if (size < 0)
		{
			free(*p);
			*p = NULL;
			return kNPWErrOk;
		}
		else
		{
			void *q = realloc(*p, size);
			if (!q)
				return kNPWErrNotEnoughMemory;
			*p = q;
			return kNPWErrOk;
		}
	else
	{
		*p = malloc(size);
		return *p ? kNPWErrOk : kNPWErrNotEnoughMemory;
	}
}
