/**
 *	@file NPWStdAlloc.h
 *	@brief NPW alloc callback function based on stdlib 
 *	@author Yves Piguet.
 *	@copyright 2008-2013, Yves Piguet
 */

#ifndef __NPWStdAlloc__
#define __NPWStdAlloc__

#ifdef __cplusplus
extern "C" {
#endif

#include "NPWBase.h"

/**	Callback to allocate, resize or free block of memory using stdlib;
	should be installed with NPWSetAllocCallback, with userData = NULL.
	@param[in,out] p pointer to memory (NULL to allocate new block)
	@param[in] size size of block (negative to free it)
	@param[in,out] userData not used
	@return kNPWErrOk for success, else error code
*/
NPWErr NPWAllocStdlib(void **p, NPWInt size, void *userData);

#ifdef __cplusplus
}
#endif

#endif
