/**
 *	@file NPWStdOutput.h
 *	@brief NPW write callback function based on stdio 
 *	@author Yves Piguet.
 *	@copyright 2008-2013, Yves Piguet
 */

#ifndef __NPWStdOutput__
#define __NPWStdOutput__

#ifdef __cplusplus
extern "C" {
#endif

#include "NPWBase.h"

/**	Callback to write data to PDF file using stdio. Should be installed
	with NPWSetWriteCallback, with userData set to the output file descriptor
	of type FILE*.
	@param[in] str address of string
	@param[in] length length of string in bytes
	@param[in,out] userData output file descriptor (type FILE*)
	@return kNPWErrOk for success, else error code
*/
NPWErr NPWWriteStdOutput(NPWConstText str, NPWInt length, void *userData);

#ifdef __cplusplus
}
#endif

#endif
